/*
 * @Author: your name
 * @Date: 2022-01-08 16:08:30
 * @LastEditTime: 2022-01-17 14:32:15
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \goldenPig\src\views\basic-data\archives-admin\config\modal.config.js
 */
export const modalItemProp = [
  {
    label: '牧场名称：',
    type: 'custom',
    field: 'farmId',
    placeholder: '请选择牧场名称',
    options: [],
    slotName: 'farmId',
    rules: [{ required: true, message: '牧场不能为空', trigger: 'change' }]
  },
  {
    label: '上级：',
    type: 'custom',
    field: 'parentId',
    slotName: 'parentId',
    placeholder: '请选择上级',
    rules: [{ required: true, message: '上级不能为空', trigger: 'change'}]
  },
  {
    label: '栋/楼/单元 名称：',
    type: 'input',
    field: 'pigpenName',
    placeholder: '请输入栋舍名称',
    rules: [{ required: true, message: '名称不能为空', trigger: 'blur'}]
  },
  {
    label: '猪舍温度(℃)：',
    type: 'input',
    field: 'pigpenTemp',
    placeholder: '请输入猪舍温度',
  },
  {
    label: '状态：',
    type: 'select',
    field: 'tempAnomaly',
    placeholder: '请选择状态',
    options: [
      {
        value: 1,
        label: '正常'
      },
      {
        value: 0,
        label: '异常'
      }
    ]
  },
  {
    label: '阶段：',
    type: 'select',
    field: 'stage',
    placeholder: '请选择状态',
    options: [
      {
        value: 1,
        label: '保育'
      },
      {
        value: 2,
        label: '配怀'
      },
      {
        value: 3,
        label: '分娩'
      }
    ],
    rules: [{ required: true, message: '阶段不能为空', trigger: 'change'}]
  },
]
